Hashrate IndexAPI DocumentationAsic

Get ASIC ROIs

GET
/asic/roi

/asic/roi has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

ASIC ROI

This endpoint calculates the return on investment for ASIC miners, considering their efficiency, cost, and current market conditions. It is vital for miners and investors to assess profitability over the investment horizon.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Query Parameters

currency*string

Currency

Value in

  • "USD"
  • "BTC"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/asic/roi?currency=USD"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ASICROIData.json",  "data": [    {      "capexPerTH": 0.1,      "efficiency": 0.1,      "hashrate": 0.1,      "manufacturer": "string",      "model": "string",      "monthsToROI": 0.1,      "opEx": 0.1,      "profit": 0.1,      "revenue": 0.1,      "slug": "string"    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}